import React from 'react';
import { xdai } from '@burner-wallet/assets';
import BurnerCore from '@burner-wallet/core';
import { LocalSigner } from '@burner-wallet/core/signers';
import { XDaiGateway, } from '@burner-wallet/core/gateways';
import WhiteRabbitPlugin from '@whiterabbitjs/burner-plugin';
import WhiteRabbitUI from './components/UI';

import './index.css';

const core = new BurnerCore({
  signers: [new LocalSigner()],
  gateways: [
    new XDaiGateway(),
  ],
  assets: [xdai],
});

export default () => 
  <WhiteRabbitUI
    title="White Rabbit"
    core={core}
    plugins={[
      new WhiteRabbitPlugin()
    ]}
  />;